<VirtualHost "*:HTTP_PORT">
    ServerName HTTP_HOST
    CustomLog /dev/stdout modremoteip
    Include "SSL_CONF"
    <IfModule mod_perl.c>
	PerlHeaderParserHandler Lemonldap::NG::Handler::ApacheMP2
    </IfModule>
    AddDefaultCharset UTF-8
    Alias /favicon.ico /var/www/html/lib/tpl/dokuwiki/images/favicon.ico
    AliasMatch ^/dokuwiki/sites/[^/]+$      /var/www/html/
    AliasMatch ^/dokuwiki/sites/[^/]+/(.*)$ /var/www/html/$1
    Alias      /dokuwiki                    /var/www/html/
    DirectoryIndex index.php
    <Directory /var/www/html/>
	Options +FollowSymLinks
        <IfVersion >= 2.3>
	    Require all granted
        </IfVersion>
        <IfVersion < 2.3>
            Order Deny,Allow
            Allow from all
        </IfVersion>
        <IfModule mod_rewrite.c>
	    RewriteEngine on
	    RewriteBase /dokuwiki
	    RewriteRule ^lib                   - [L]
	    RewriteRule ^doku.php              - [L]
	    RewriteRule ^feed.php              - [L]
	    RewriteRule ^install.php           - [L]                
	    RewriteRule ^_media/(.*)           lib/exe/fetch.php?media=$1  [QSA,L]
	    RewriteRule ^_detail/(.*)          lib/exe/detail.php?media=$1 [QSA,L]
	    RewriteRule ^_export/([^/]+)/(.*)  doku.php?do=export_$1&id=$2 [QSA,L]
	    RewriteRule ^$                     doku.php  [L]
	    RewriteRule (.*)                   doku.php?id=$1  [QSA,L]
        </IfModule>
    </Directory>
    <Directory /var/www/html/bin>
        <IfVersion >= 2.3>
	    Require all denied
        </IfVersion>
        <IfVersion < 2.3>
            Order Deny,Allow
            Deny from all
        </IfVersion>
    </Directory>
    <Directory /var/www/html/data>
        <IfVersion >= 2.3>
	    Require all denied
        </IfVersion>
        <IfVersion < 2.3>
            Order Deny,Allow
            Deny from all
        </IfVersion>
    </Directory>
</VirtualHost>
